"use strict";

var _cypressCucumberPreprocessor = require("@badeball/cypress-cucumber-preprocessor");
(0, _cypressCucumberPreprocessor.Given)('an AlertBar with onHidden handler is rendered', () => {
  cy.visitStory('AlertBar', 'With on hidden');
});
(0, _cypressCucumberPreprocessor.Given)('an AlertBar with disabled icon is rendered', () => {
  cy.visitStory('AlertBar', 'Disabled icon');
});
(0, _cypressCucumberPreprocessor.Given)('an AlertBar with custom icon is rendered', () => {
  cy.visitStory('AlertBar', 'Custom icon');
});
(0, _cypressCucumberPreprocessor.Given)('an AlertBar with a message is rendered', () => {
  cy.visitStory('AlertBar', 'With message');
});
(0, _cypressCucumberPreprocessor.Given)('an AlertBar with permanent is rendered', () => {
  cy.visitStory('AlertBar', 'Permanent');
  cy.get('[data-test="dhis2-uicore-alertbar"]').should('be.visible');
});
(0, _cypressCucumberPreprocessor.When)('the Alertbar is not rendered', () => {
  cy.wait(8000);
  cy.get('[data-test="dhis2-uicore-alertbar"]').should('not.exist');
});
(0, _cypressCucumberPreprocessor.Then)('the icon will be visible', () => {
  cy.get('[data-test="dhis2-uicore-alertbar-icon"]').should('be.visible');
});
(0, _cypressCucumberPreprocessor.Then)('the icon will not be rendered', () => {
  cy.get('[data-test="dhis2-uicore-alertbar-icon"]').should('not.exist');
});
(0, _cypressCucumberPreprocessor.Then)('the custom icon will be visible', () => {
  cy.get('[data-test="dhis2-uicore-alertbar-icon"]').contains('Custom icon').should('be.visible');
});
(0, _cypressCucumberPreprocessor.Then)('the message will be visible', () => {
  cy.get('[data-test="dhis2-uicore-alertbar"]').contains('With a message').should('be.visible');
});
(0, _cypressCucumberPreprocessor.Then)('the AlertBar will be visible', () => {
  cy.get('[data-test="dhis2-uicore-alertbar"]').should('be.visible');
});