"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.iconPropType = exports.Icon = void 0;
var _style = _interopRequireDefault(require("styled-jsx/style"));
var _propTypes = require("@dhis2/prop-types");
var _uiConstants = require("@dhis2/ui-constants");
var _uiIcons = require("@dhis2/ui-icons");
var _propTypes2 = _interopRequireDefault(require("prop-types"));
var _react = _interopRequireDefault(require("react"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const StatusIcon = _ref => {
  let {
    error,
    warning,
    valid,
    info,
    defaultTo = null
  } = _ref;
  if (error) {
    return /*#__PURE__*/_react.default.createElement(_uiIcons.IconErrorFilled24, {
      color: _uiConstants.colors.white
    });
  }
  if (warning) {
    return /*#__PURE__*/_react.default.createElement(_uiIcons.IconWarningFilled24, {
      color: _uiConstants.colors.yellow900
    });
  }
  if (valid) {
    return /*#__PURE__*/_react.default.createElement(_uiIcons.IconCheckmark24, {
      color: _uiConstants.colors.white
    });
  }
  if (info) {
    return /*#__PURE__*/_react.default.createElement(_uiIcons.IconInfoFilled24, {
      color: _uiConstants.colors.white
    });
  }
  return defaultTo;
};
StatusIcon.propTypes = {
  defaultTo: _propTypes2.default.element,
  error: _propTypes2.default.bool,
  info: _propTypes2.default.bool,
  valid: _propTypes2.default.bool,
  warning: _propTypes2.default.bool
};
const Icon = _ref2 => {
  let {
    icon,
    success,
    warning,
    critical,
    info,
    dataTest
  } = _ref2;
  if (icon === false) {
    return null;
  }
  return /*#__PURE__*/_react.default.createElement("div", {
    "data-test": dataTest,
    className: _style.default.dynamic([["719386130", [_uiConstants.spacers.dp16]]])
  }, /*#__PURE__*/_react.default.isValidElement(icon) ? icon : /*#__PURE__*/_react.default.createElement(StatusIcon, {
    valid: success,
    error: critical,
    warning: warning,
    info: info
  }), /*#__PURE__*/_react.default.createElement(_style.default, {
    id: "719386130",
    dynamic: [_uiConstants.spacers.dp16]
  }, [`div.__jsx-style-dynamic-selector{margin-inline-end:${_uiConstants.spacers.dp16};}`]));
};
exports.Icon = Icon;
const iconPropType = exports.iconPropType = _propTypes2.default.oneOfType([_propTypes2.default.bool, _propTypes2.default.element]);
const alertStatePropType = (0, _propTypes.mutuallyExclusive)(['success', 'warning', 'critical', 'info'], _propTypes2.default.bool);
Icon.propTypes = {
  dataTest: _propTypes2.default.string.isRequired,
  critical: alertStatePropType,
  icon: iconPropType,
  info: alertStatePropType,
  success: alertStatePropType,
  warning: alertStatePropType
};